[arch-commits] Commit in postgresql/repos (extra-i686 extra-i686/PKGBUILD)

Douglas Soares de Andrade douglas at archlinux.org
Sun Oct 19 12:11:56 EDT 2008


    Date: Sunday, October 19, 2008 @ 12:11:56
  Author: douglas
Revision: 15864

Merged revisions 14362,15863 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/postgresql/trunk

........
  r14362 | eric | 2008-10-05 19:33:27 -0300 (Dom, 05 Out 2008) | 2 lines
  
  upgpkg: postgresql 8.3.4-1
      fixed docs install location and ownership
........
  r15863 | douglas | 2008-10-19 14:11:01 -0200 (Dom, 19 Out 2008) | 1 line
  
  upgpkg: postgresql 8.3.4-2
........

Modified:
  postgresql/repos/extra-i686/	(properties)
  postgresql/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)


Property changes on: postgresql/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /postgresql/trunk:1-14277
   + /postgresql/trunk:1-15863

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-19 16:11:01 UTC (rev 15863)
+++ extra-i686/PKGBUILD	2008-10-19 16:11:56 UTC (rev 15864)
@@ -3,7 +3,7 @@
 
 pkgname=postgresql
 pkgver=8.3.4
-pkgrel=1
+pkgrel=2
 pkgdesc="A sophisticated object-relational DBMS"
 arch=(i686 x86_64)
 license=('BSD')
@@ -13,11 +13,9 @@
 options=('!makeflags')
 source=(ftp://ftp.postgresql.org/pub/source/v${pkgver}/postgresql-${pkgver}.tar.bz2 \
         postgresql postgresql.confd build.patch)
+md5sums=('c339b9d3c0c4add64c7a76640fc93744' '7d8ea2abb6a8cdacf35604bda659a34a'\
+         'df6ddf9e2ab4700a3415f17c0f4f4172' '4d74f4227dc5e12bf95b3490758d86c9')
 
-md5sums=('c339b9d3c0c4add64c7a76640fc93744'
-         '7d8ea2abb6a8cdacf35604bda659a34a'
-         'df6ddf9e2ab4700a3415f17c0f4f4172'
-         '4d74f4227dc5e12bf95b3490758d86c9')
 
 build() {
   cd ${startdir}/src/$pkgname-$pkgver || return 1
@@ -26,8 +24,11 @@
   patch -Np1 -i ../build.patch || return 1
 
   # configure
-  ./configure --prefix=/usr --mandir=/usr/share/man --with-openssl --datadir=/usr/share/postgresql \
-  	|| return 1
+  ./configure --prefix=/usr --mandir=/usr/share/man \
+  --with-docdir=/usr/share/doc --with-openssl \
+  --with-pam \
+  --datadir=/usr/share/postgresql \
+  || return 1
   sed -i -e '/interfaces/d' src/Makefile || return 1
 
   # build
@@ -54,4 +55,6 @@
   # install conf file
   install -D -m644 $startdir/src/postgresql.confd \
     $startdir/pkg/etc/conf.d/postgresql || return 1
+
+  chown root:root $startdir/pkg/usr/share/doc/postgresql/html/*
 }




More information about the arch-commits mailing list